Bug 98920 - Incomplete BuildRequires: bison, flex, autoconf (and m4?) not listed
Incomplete BuildRequires: bison, flex, autoconf (and m4?) not listed
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 08:38 EDT by Aleksey Nogin
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version: 3.2.3-13, 3.3-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-02 02:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2003-07-10 08:38:12 EDT
Current gcc spec lists some build requirements, but not all. For example, it is
missing

BuildRequires: bison, flex
Comment 1 Aleksey Nogin 2003-07-10 08:53:56 EDT
Another one of those: m4 - bison tries to invoke m4 when gcc is being compiled.
Not sure if gcc needs a "BuildRequires: m4", or bison needs a "Requires: m4"...
Comment 2 Aleksey Nogin 2003-07-16 18:15:31 EDT
Yet another one - autoconf.
Comment 3 Aleksey Nogin 2003-07-16 18:16:58 EDT
Oh, and also - compiling gcc on x86_64 requires _both_ x86_64 _and_ i[36]86
versions of glibc-devel. Not sure if this is expressable via the BuildRequires.
Comment 4 Jakub Jelinek 2003-08-02 02:57:35 EDT
There are some requirements which are implicit (like gcc, autoconf, glibc-devel,
sh, make, awk, sed, ...).
It would be absurd to list all of that, it would have to be added to every
single package.
As for bi-arch devel environment requirement on amd64, ppc, ppc64, s390x -
there is really no way to express that, but it should be installed always as well.
flex and bison have been added.

Note You need to log in before you can comment on or make changes to this bug.